from typing import List
from uuid import UUID

from pydantic import BaseModel, ConfigDict


class GroupBaseSchema(BaseModel):
    name: str | None = None


class GroupIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class GroupSchema(GroupBaseSchema, GroupIdSchema):
    pass


class GroupCreateSchema(GroupBaseSchema):
    name: str
    scopes: List[UUID] = []


class GroupGetSchema(GroupBaseSchema):
    name: str
    scopes: List[UUID]
