from fastapi import APIRouter

from .status.routes import router as status_route
from .type.routes import router as type_route
from .task.routes import router as task_route
from .user.routes import router as user_route, auth_router as auth_route
from .category.routes import router as category_route
from .group.routes import router as group_route
from .scopes.routes import router as scope_route


router = APIRouter(prefix='/api')
router.include_router(status_route)
router.include_router(type_route)
router.include_router(task_route)
router.include_router(user_route)
router.include_router(auth_route)
router.include_router(category_route)
router.include_router(group_route)
router.include_router(scope_route)
