from uuid import UUID

from db.repositories import ScopeRepository
from .schemas import ScopeSchema


class ScopeService:
    scope_repository = ScopeRepository()

    async def get_scope_list(self, **kwargs):
        groups = await self.scope_repository.get_list(**kwargs)
        return [ScopeSchema.model_validate(group) for group in groups]

    async def get_scope(self, id: UUID):
        group = await self.scope_repository.get(id)
        return ScopeSchema.model_validate(group)

    async def create_scope(self, **kwargs):
        group = await self.scope_repository.create(**kwargs)
        return ScopeSchema.model_validate(group)

    async def update_scope(self, id: UUID, **kwargs):
        group = await self.scope_repository.update(id, **kwargs)
        return ScopeSchema.model_validate(group)

    async def delete_scope(self, id: UUID):
        return await self.scope_repository.delete(id)
